boost::geometry::resolve_variant::area< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Strategy > Struct Template Reference

List of all members.

## Public Member Functions

template<typename Geometry >
Strategy::return_type | operator() (Geometry const &geometry) const
| visitor (Strategy const &strategy)

## Public Attributes

Strategy const & | m_strategy

### template<BOOST_VARIANT_ENUM_PARAMS(typename T)>
template<typename Strategy>
struct boost::geometry::resolve_variant::area< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Strategy >

## Constructor & Destructor Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Strategy >

boost::geometry::resolve_variant::area< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Strategy >::visitor | ( | Strategy const & | strategy | ) |

## Member Function Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Strategy >
template<typename Geometry >

Strategy::return_type boost::geometry::resolve_variant::area< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Strategy >::operator() | ( | Geometry const & | geometry | ) | const

## Member Data Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Strategy >

Strategy const& boost::geometry::resolve_variant::area< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Strategy >::m_strategy

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK